Subject: bug#63433: Eglot "eglot--apply-workspace-edit > documentChanges > create" fails

From: Felician Nemeth <[email-masked]>
Date: Thu, 07 Sep 2023 12:52:55 +0200

>> > In its initializationOptions, Eglot do not state that it supports any
>> > resourceOperations.  So the server made a mistake when it sent a
>> > "create" kind.

In the meantime, rust-analyzer gained a fix for this issue.  However, it
still offers these code-actions and if the user selects one, then the
server now sends an error like "Client does not support create
capability".  I think this is suboptimal, but understandable.

https://github.com/rust-lang/rust-analyzer/pull/15101